<?php
namespace app\common\model;
use liuniu\BaseModel;

class Donate extends BaseModel
{

    // 表名
    protected $name = 'donate';

    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'sex_text',
        'education_text',
        'status_text'
    ];



    public function getSexList()
    {
        return ['0' => __('Sex 0'), '1' => __('Sex 1')];
    }

    public function getEducationList()
    {
        return ['0' => __('Education 0'), '1' => __('Education 1'), '2' => __('Education 2'), '3' => __('Education 3'), '4' => __('Education 4'), '5' => __('Education 5'), '6' => __('Education 6'), '7' => __('Education 7'), '8' => __('Education 8'), '9' => __('Education 9')];
    }

    public function getStatusList()
    {
        return ['-1' => __('Status -1'), '0' => __('Status 0'), '1' => __('Status 1')];
    }


    public function getSexTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['sex']) ? $data['sex'] : '');
        $list = $this->getSexList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getEducationTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['education']) ? $data['education'] : '');
        $list = $this->getEducationList();
        return isset($list[$value]) ? $list[$value] : '';
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }
    public static function lst($where)
    {
        $model = new self;
        if(isset($where['cid']) && $where['cid']>0) $model->where('cid',$where['cid']);
        if(isset($where['user_id']) && $where['user_id']>0) $model->where('user_id',$where['user_id']);
        if(isset($where['category_ids']) && $where['category_ids']>0) $model = $model->where("CONCAT(',',category_ids,',')  LIKE '%,$where[category_ids],%'");
        if(isset($where['status']) && $where['status']>-2) $model->where('status',$where['status']);
        $data = $model->order('id desc')->page($where['page'],$where['limit'])->select();
        return $data;
    }
}